# Create a new credentialing request event Creates a new event for a credentialing request event. Endpoint: POST /credentialing-requests/{requestId}/events Version: 26.2.0.4309 Security: Bearer ## Path parameters: - `requestId` (string, required) ## Request fields (application/json): - `note` (string) The note of this credentialing request event. - `status` (string, required) The status of this credentialing request event. Only the following statuses are available for self-managed requests: "RequestInProgress", "Cancelled" and "Completed". Enum: "RequestSubmitted", "RequestInProgress", "AdditionalInformationRequested", "AdditionalInformationSubmitted", "CancellationRequested", "Cancelled", "Completed", "CompletedWithConcern", "UnableToComplete", "SecondAttemptMissingInfo", "ThirdAttemptMissingInfo" - `attachments` (array) - `attachments.path` (string) The path to the file. - `attachments.type` (string) The type of the attachment. Enum: "CredentialingPacket" - `nextCredentialingDate` (string) The date that the provider should be re-credentialed. Can only be set when completing a credentialing request. Only applies to providers, not facilities. ## Response 201 fields (application/json): - `id` (string) The unique identifier of this credentialing request event. - `description` (string) The description of this credentialing request event. - `note` (string) The note of this credentialing request event. - `timestamp` (string) The timestamp when this credentialing request event was created. - `status` (string) The status of this credentialing request event. Only the following statuses are available for self-managed requests: "RequestInProgress", "Cancelled" and "Completed". Enum: "RequestSubmitted", "RequestInProgress", "AdditionalInformationRequested", "AdditionalInformationSubmitted", "CancellationRequested", "Cancelled", "Completed", "CompletedWithConcern", "UnableToComplete", "SecondAttemptMissingInfo", "ThirdAttemptMissingInfo" - `attachments` (array) Files attached to this credentialing request event. - `attachments.path` (string) The path to the file. - `attachments.type` (string) The type of the attachment. Enum: "CredentialingPacket" - `user` (object) - `user.id` (string) The unique identifier of this user. - `user.email` (string) The email of this user. ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 500 fields